MAPIClientLibraries 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
notif.c File Reference

Notification (MS-OXCNOTIF) operations. More...

`#include "libmapi/libmapi.h"`
`#include "libmapi/libmapi_private.h"`

## Functions
_PUBLIC_ enum MAPISTATUS | SetSyncNotificationGuid (mapi_object_t *obj_advisor, const struct GUID Guid)
_PUBLIC_ enum MAPISTATUS | SyncOpenAdvisor (mapi_object_t *obj, mapi_object_t *obj_notifier)

## Detailed Description

Notification (MS-OXCNOTIF) operations.

## Function Documentation

_PUBLIC_ enum MAPISTATUS SetSyncNotificationGuid | ( | mapi_object_t * | obj_advisor,
|  | const struct GUID | Guid
| ) |  |

Assign a notification GUID to an ICS Advisor object

This function allows the client to set a specific GUID to an ICS advistor object (as returned from SyncOpenAdvisor). This operation is not supported on Exchange 2010.

Parameters

  obj_advisor | pointer to the ICS Advisor object
  Guid | the GUID for the notification

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_INVALID_PARAMETER: one of the function parameters is invalid
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

References mapi_object_get_handle(), mapi_object_get_logon_id(), and mapi_object_get_session().

_PUBLIC_ enum MAPISTATUS SyncOpenAdvisor | ( | mapi_object_t * | obj,
|  | mapi_object_t * | obj_notifier
| ) |  |

Obtain an ICS notification object

This function is used to obtain a server object handle for an ICS notification operation (RegisterSyncNotifications or SetSyncNotificationGuid). This operation is not supported on Exchange 2010.

Parameters

  obj | the logon object for which notifications are desired
  obj_notifier | the notifier object for future ROPs.

Returns
  MAPI_E_SUCCESS on success, otherwise MAPI error.

The caller should release the returned notifier object when it is no longer required, using the mapi_object_release function.

Note
  Developers may also call GetLastError() to retrieve the last MAPI error code. Possible MAPI error codes are:
  - MAPI_E_NOT_INITIALIZED: MAPI subsystem has not been initialized
  - MAPI_E_INVALID_PARAMETER: one of the function parameters is invalid
  - MAPI_E_CALL_FAILED: A network problem was encountered during the transaction

References mapi_object_get_handle(), mapi_object_get_logon_id(), mapi_object_get_session(), mapi_object_set_handle(), mapi_object_set_logon_id(), and mapi_object_set_session().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/